gstreamermm: Gst::AlsaSink Class Reference

# Gst::AlsaSink Class Reference
[gstreamermm Plugins]

Gst::AlsaSink - alsasink plugin. More...

`#include <alsasink.h>`

Inheritance diagram for Gst::AlsaSink:

List of all members.

## Public Member Functions
virtual | ~AlsaSink ()
GstAlsaSink* | gobj ()
| Provides access to the underlying C GObject.
const GstAlsaSink* | gobj () const
| Provides access to the underlying C GObject.
GstAlsaSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy <Glib::ustring> | property_device ()
| ALSA device.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_device () const
| ALSA device.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_device_name () const
| Human-readable name of the sound device.
## Static Public Member Functions
static Glib::RefPtr<AlsaSink> | create ()
| Creates a new alsasink plugin with a unique name.
static Glib::RefPtr<AlsaSink> | create (const Glib::ustring& name)
| Creates a new alsasink plugin with the given name.
## Protected Member Functions
| AlsaSink ()
| AlsaSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::AlsaSink> | wrap (GstAlsaSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::AlsaSink - alsasink plugin.

Please include <gstreamermm/alsasink.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::AlsaSink::~AlsaSink | ( |  | ) | `[virtual]`

Gst::AlsaSink::AlsaSink | ( |  | ) | `[protected]`

Gst::AlsaSink::AlsaSink | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstAlsaSink* Gst::AlsaSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::AudioSink.

const GstAlsaSink* Gst::AlsaSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::AudioSink.

GstAlsaSink* Gst::AlsaSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::AudioSink.

static Glib::RefPtr<AlsaSink> Gst::AlsaSink::create | ( |  | ) | `[static]`

Creates a new alsasink plugin with a unique name.

static Glib::RefPtr<AlsaSink> Gst::AlsaSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new alsasink plugin with the given name.

Glib::PropertyProxy<Glib::ustring> Gst::AlsaSink::property_device | ( |  | ) |

ALSA device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::AlsaSink::property_device | ( |  | ) | const

ALSA device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::AlsaSink::property_device_name | ( |  | ) | const

Human-readable name of the sound device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::AlsaSink> wrap | ( | GstAlsaSink * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- alsasink.h